Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## convert.relaxng.edit
Class ValuePattern

    java.lang.Object
      convert.relaxng.edit.SourceObject
          convert.relaxng.edit.Annotated
              convert.relaxng.edit.Pattern
                  convert.relaxng.edit.ValuePattern

All Implemented Interfaces:
  ParsedPattern

    public class ValuePattern

extends Pattern

Constructor Summary
`ValuePattern(java.lang.String datatypeLibrary, java.lang.String type, java.lang.String value)`

Method Summary
`
`<T> T`
` | `accept(PatternVisitor<T> visitor)`
`java.lang.String` | `getDatatypeLibrary()`
`java.util.Map<java.lang.String,java.lang.String>` | `getPrefixMap()`
`java.lang.String` | `getType()`
`java.lang.String` | `getValue()`
`boolean` | `mayContainText()`
`void` | `setDatatypeLibrary(java.lang.String datatypeLibrary)`
`void` | `setType(java.lang.String type)`
`void` | `setValue(java.lang.String value)`

Methods inherited from class convert.relaxng.edit.Annotated
`attributeAnnotationsAccept, childElementAnnotationsAccept, followingElementAnnotationsAccept, getAttributeAnnotation, getAttributeAnnotations, getChildElementAnnotations, getContext, getFollowingElementAnnotations, getLeadingComments, leadingCommentsAccept, setContext`

Methods inherited from class convert.relaxng.edit.SourceObject
`getSourceLocation, setSourceLocation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValuePattern

    public ValuePattern(java.lang.String datatypeLibrary,
                        java.lang.String type,
                        java.lang.String value)

Method Detail

### getDatatypeLibrary

    public java.lang.String getDatatypeLibrary()

### setDatatypeLibrary

    public void setDatatypeLibrary(java.lang.String datatypeLibrary)

### getType

    public java.lang.String getType()

### setType

    public void setType(java.lang.String type)

### getValue

    public java.lang.String getValue()

### setValue

    public void setValue(java.lang.String value)

### mayContainText

    public boolean mayContainText()

  Overrides:
    `mayContainText` in class `Annotated`

### getPrefixMap

    public java.util.Map<java.lang.String,java.lang.String> getPrefixMap()

### accept

    public <T> T accept(PatternVisitor<T> visitor)

  Specified by:
    `accept` in class `Pattern`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD